function plotValues=getPlotValues(plotValues,doflipud,dofliplr,rectVals)
% Get plot values as a separate function instead of having it all in plotband.m
% Kevin Baggett
% Thu May  1 18:57:44 GMT 2003
[x,y]=size(plotValues);
if nargin > 3 % if rectangle specified
    plotValues=plotValues(floor(rectVals(2)):floor(rectVals(2))+round(rectVals(4)),floor(rectVals(1)):floor(rectVals(1))+round(rectVals(3)));
end

% flip resulting matrix according to the flip settings
if doflipud
    plotValues=flipud(plotValues);
end
if dofliplr
    plotValues=fliplr(plotValues);
end

